summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/ugene/README40
-rw-r--r--academic/ugene/doinst.sh3
-rw-r--r--academic/ugene/slack-desc19
-rw-r--r--academic/ugene/ugene.SlackBuild100
-rw-r--r--academic/ugene/ugene.info10
5 files changed, 172 insertions, 0 deletions
diff --git a/academic/ugene/README b/academic/ugene/README
new file mode 100644
index 0000000000..713391c36c
--- /dev/null
+++ b/academic/ugene/README
@@ -0,0 +1,40 @@
+Unipro UGENE is a multiplatform open-source software with the main
+goal of assisting molecular biologists without much expertise in
+bioinformatics to manage, analyze and visualize their data.
+
+UGENE integrates widely used bioinformatics tools within a common user
+interface. The toolkit supports multiple biological data formats and
+allows the retrieval of data from remote data sources. It provides
+visualization modules for biological objects such as:
+
+- annotated genome sequences;
+- Next Generation Sequencing (NGS) assembly data;
+- multiple sequence alignments;
+- phylogenetic trees;
+- 3D structures.
+
+Most of the integrated algorithms are tuned for maximum performance by
+the usage of multithreading and special processor instructions. UGENE
+includes a visual environment for creating reusable workflows that can
+be launched on local resources or in a High Performance Computing
+(HPC) environment. UGENE is written in C++ using the Qt framework. The
+built-in plugin system and structured UGENE API make it possible to
+extend the toolkit with new functionality.
+
+CITING:
+If you use UGENE in your work, please quote this publication:
+Unipro UGENE: a unified bioinformatics toolkit
+Konstantin Okonechnikov, Olga Golosova, Mikhail Fursov, the UGENE team
+Bioinformatics 2012 28: 1166-1167 doi: 10.1093/bioinformatics/bts091
+
+NOTE!
+While not needed for building of UGENE, the dependencies listed as
+"REQUIRED" are highly recommended for the complete functionality of
+the program. UGENE will also drive spidey if you have it installed,
+but keep in mind that it is available only as a 32-bit binary.
+
+NOTE ABOUT CUDA:
+UGENE is built without CUDA support and CUDA-BLAST is not included
+among the "REQUIRED", either. Simply, I do not have the hardware. If
+someone is interested in such functionality and can offer help with
+the script, please contact me.
diff --git a/academic/ugene/doinst.sh b/academic/ugene/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/ugene/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/ugene/slack-desc b/academic/ugene/slack-desc
new file mode 100644
index 0000000000..212ceaea7c
--- /dev/null
+++ b/academic/ugene/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ugene: ugene (A unified bioinformatics toolkit)
+ugene:
+ugene: Unipro UGENE is a multiplatform open-source software with the main
+ugene: goal of assisting molecular biologists without much expertise in
+ugene: bioinformatics to manage, analyze and visualize their data.
+ugene: UGENE integrates widely used bioinformatics tools within a common
+ugene: user nterface. The toolkit supports multiple biological data formats
+ugene: and allows the retrieval of data from remote data sources.
+ugene:
+ugene: Home: http://ugene.unipro.ru/
+ugene: References: /usr/doc/ugene-$VERSION/References
diff --git a/academic/ugene/ugene.SlackBuild b/academic/ugene/ugene.SlackBuild
new file mode 100644
index 0000000000..f5737d02d6
--- /dev/null
+++ b/academic/ugene/ugene.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for ugene
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ugene
+VERSION=${VERSION:-1.11.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ QMAKECONFIG=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ QMAKECONFIG=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ QMAKECONFIG="CONFIG+=64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ QMAKECONFIG=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix libraries and man pages paths
+sed -i "s:/lib:/lib${LIBDIRSUFFIX}:g" src/ugene_globals.pri
+sed -i "s:/share/man:/man:g" src/ugene_globals.pri
+
+qmake $QMAKECONFIG -r \
+QMAKE_CFLAGS="$SLKCFLAGS" \
+QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ build.txt COPYRIGHT LICENSE LICENSE.3rd_party \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ugene/ugene.info b/academic/ugene/ugene.info
new file mode 100644
index 0000000000..6bb6099760
--- /dev/null
+++ b/academic/ugene/ugene.info
@@ -0,0 +1,10 @@
+PRGNAM="ugene"
+VERSION="1.11.4"
+HOMEPAGE="http://ugene.unipro.ru/"
+DOWNLOAD="http://ugene.unipro.ru/downloads/ugene-1.11.4.tar.gz"
+MD5SUM="49e9faea1f73b688a40f275d382f4506"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bowtie bwa cap3 clustalw mafft mrbayes ncbi-blast ncbi-blast-plus t_coffee"
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"